# NoiseTexture(Texture)

base classes — `bpy_struct`, `ID`, `Texture`

class `bpy.types.``NoiseTexture`(Texture)

  Procedural noise texture

  `users_material`

    Materials that use this texture (readonly)

  `users_object_modifier`

    Object modifiers that use this texture (readonly)

Inherited Properties

`bpy_struct.id_data` `ID.name` `ID.users` `ID.use_fake_user` `ID.tag` `ID.is_updated` `ID.is_updated_data` `ID.is_library_indirect` `ID.library` `ID.preview` `Texture.type` `Texture.use_clamp` `Texture.use_color_ramp` `Texture.color_ramp` | `Texture.intensity` `Texture.contrast` `Texture.saturation` `Texture.factor_red` `Texture.factor_green` `Texture.factor_blue` `Texture.use_preview_alpha` `Texture.use_nodes` `Texture.node_tree` `Texture.animation_data` `Texture.users_material` `Texture.users_object_modifier` `Texture.users_material` `Texture.users_object_modifier`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` | `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `ID.copy` `ID.user_clear` `ID.animation_data_create` `ID.animation_data_clear` `ID.update_tag` `Texture.evaluate`